Bug 198771 - [PATCH] russian/ircd-hybrid: Make EGD conditional/Fix build with LibreSSL
Summary: [PATCH] russian/ircd-hybrid: Make EGD conditional/Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-21 14:02 UTC by Bernard Spil
Modified: 2015-04-04 13:23 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
svn diff for russian/ircd-hybrid (514.70 KB, patch)
2015-03-21 14:02 UTC, Bernard Spil
koobs: maintainer-approval? (rodrigo)
Details | Diff
Poudriere build log for russian/ircd-hybrid (58.59 KB, text/plain)
2015-03-21 14:02 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-21 14:02:33 UTC
Created attachment 154627 [details]
svn diff for russian/ircd-hybrid

russian/ircd-hybrid unconditionally relies on RAND_egd which makes building fail with LibreSSL which has removed EGD. FreeBSD does not require EGD at all, /dev/random has been available since FreeBSD 4.2

This patch checks for the existence of RAND_egd in libcrypto and disables the code using egd.

See bug #198505 as well for the non-localized version patch
Comment 1 Bernard Spil freebsd_committer 2015-03-21 14:02:56 UTC
Created attachment 154628 [details]
Poudriere build log for russian/ircd-hybrid
Comment 2 Rodrigo Osorio freebsd_committer 2015-03-22 23:30:19 UTC
(In reply to Bernard Spil from comment #1)
Thanks for the report you're the next on the list :)
Comment 3 Rodrigo Osorio freebsd_committer 2015-04-04 00:03:45 UTC
Hi Bernard,

It seems your patches are more a big diff than
a hand crafted fix. Where changes comes from ?

I'll try to reduce the impact to make changes
more readable and understandable.
Comment 4 Bernard Spil freebsd_committer 2015-04-04 10:14:40 UTC
Hi Rodrigo,

That's autoconf regenerating configure from configure.ac which is actually a one-line addition. I've had success before just adding the RAND_egd section generated by autoconf back into configure... The non-russian version has also been patched, see bug #198505 but that's a newer version.

Does that answer your query?

Kind regards,

Bernard Spil.
Comment 5 Rodrigo Osorio freebsd_committer 2015-04-04 13:22:57 UTC
committed, thanks
Comment 6 commit-hook freebsd_committer 2015-04-04 13:23:04 UTC
A commit references this bug:

Author: rodrigo
Date: Sat Apr  4 13:22:31 UTC 2015
New revision: 383222
URL: https://svnweb.freebsd.org/changeset/ports/383222

Log:
  Make EGD conditional
  Fix build with LibreSSL

  PR:		198771
  Submitted by:	<spil.oss@gmail.com>

Changes:
  head/russian/ircd-hybrid/files/patch-configure
  head/russian/ircd-hybrid/files/patch-configure.ac
  head/russian/ircd-hybrid/files/patch-src-rsa.c